> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rampnow.io/llms.txt
> Use this file to discover all available pages before exploring further.

# CreateCustomerUser



## OpenAPI

````yaml https://rampnow-io.github.io/core/partner_external.yaml post /api/partner/v1/ext/customer_user
openapi: 3.1.0
info:
  description: API for partner_external service
  title: partner service
  version: 0.0.1
servers:
  - description: Base URL for Production Rampnow APIs
    url: https://api.rampnow.io
  - description: Base URL for Sandbox Rampnow APIs
    url: https://api.sandbox.rampnow.io
security: []
paths:
  /api/partner/v1/ext/customer_user:
    post:
      tags:
        - Users
      summary: CreateCustomerUser
      operationId: CreateCustomerUser
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCustomerUserRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    type: integer
                  data:
                    $ref: '#/components/schemas/CreateCustomerUserResponse'
                  displayError:
                    type: string
                  message:
                    type: string
                  traceId:
                    type: string
                required:
                  - code
                  - message
                  - traceId
                  - data
                type: object
          description: OK
components:
  schemas:
    CreateCustomerUserRequest:
      properties:
        kycShareReq:
          $ref: '#/components/schemas/KycShareReq'
        userDetail:
          $ref: '#/components/schemas/UserDetail'
      required:
        - userDetail
      type: object
    CreateCustomerUserResponse:
      properties:
        uid:
          type: string
      required:
        - uid
      type: object
    KycShareReq:
      properties:
        token:
          type: string
      required:
        - token
      type: object
    UserDetail:
      properties:
        address:
          $ref: '#/components/schemas/Address'
        amlData:
          $ref: '#/components/schemas/AmlData'
        country:
          $ref: '#/components/schemas/CountryCode'
        createdAt:
          format: date-time
          type: string
        dateOfBirth:
          type: string
        email:
          type: string
        firstName:
          type: string
        gender:
          $ref: '#/components/schemas/GenderType'
        ipAddress:
          type: string
        lastName:
          type: string
        phone:
          type: string
        remarks:
          type: string
        riskStatus:
          $ref: '#/components/schemas/RiskStatus'
        status:
          $ref: '#/components/schemas/UserStatus'
        uid:
          type: string
      required:
        - createdAt
        - uid
        - dateOfBirth
        - status
        - firstName
        - lastName
        - email
        - phone
        - gender
        - country
        - ipAddress
        - remarks
        - riskStatus
      type: object
    Address:
      properties:
        city:
          type: string
        country:
          $ref: '#/components/schemas/CountryCode'
        line1:
          type: string
        line2:
          type: string
        postalCode:
          type: string
        state:
          type: string
        subDivision:
          type: string
      required:
        - line1
        - city
        - country
        - postalCode
      type: object
    AmlData:
      properties:
        estimatedAnnualTradeVolume:
          type: string
        fundSource:
          type: string
        isPoliticallyExposed:
          type: string
      required:
        - fundSource
        - isPoliticallyExposed
        - estimatedAnnualTradeVolume
      type: object
    CountryCode:
      enum:
        - AD
        - AE
        - AF
        - AG
        - AI
        - AL
        - AM
        - AN
        - AO
        - AQ
        - AR
        - AS
        - AT
        - AU
        - AW
        - AX
        - AZ
        - BA
        - BB
        - BD
        - BE
        - BF
        - BG
        - BH
        - BI
        - BJ
        - BL
        - BM
        - BN
        - BO
        - BQ
        - BR
        - BS
        - BT
        - BV
        - BW
        - BY
        - BZ
        - CA
        - CC
        - CD
        - CF
        - CG
        - CH
        - CI
        - CK
        - CL
        - CM
        - CN
        - CO
        - CR
        - CU
        - CV
        - CW
        - CX
        - CY
        - CZ
        - DE
        - DJ
        - DK
        - DM
        - DO
        - DZ
        - EC
        - EE
        - EG
        - EH
        - ER
        - ES
        - ET
        - FI
        - FJ
        - FK
        - FM
        - FO
        - FR
        - GA
        - GB
        - GD
        - GE
        - GF
        - GG
        - GH
        - GI
        - GL
        - GM
        - GN
        - GP
        - GQ
        - GR
        - GS
        - GT
        - GU
        - GW
        - GY
        - HK
        - HM
        - HN
        - HR
        - HT
        - HU
        - ID
        - IE
        - IL
        - IM
        - IN
        - IO
        - IQ
        - IR
        - IS
        - IT
        - JE
        - JM
        - JO
        - JP
        - KE
        - KG
        - KH
        - KI
        - KM
        - KN
        - KP
        - KR
        - KW
        - KY
        - KZ
        - LA
        - LB
        - LC
        - LI
        - LK
        - LR
        - LS
        - LT
        - LU
        - LV
        - LY
        - MA
        - MC
        - MD
        - ME
        - MF
        - MG
        - MH
        - MK
        - ML
        - MM
        - MN
        - MO
        - MP
        - MQ
        - MR
        - MS
        - MT
        - MU
        - MV
        - MW
        - MX
        - MY
        - MZ
        - NA
        - NC
        - NE
        - NF
        - NG
        - NI
        - NL
        - 'NO'
        - NP
        - NR
        - NU
        - NZ
        - OM
        - PA
        - PE
        - PF
        - PG
        - PH
        - PK
        - PL
        - PM
        - PN
        - PR
        - PS
        - PT
        - PW
        - PY
        - QA
        - RE
        - RO
        - RS
        - RU
        - RW
        - SA
        - SB
        - SC
        - SD
        - SE
        - SG
        - SH
        - SI
        - SJ
        - SK
        - SL
        - SM
        - SN
        - SO
        - SR
        - SS
        - ST
        - SV
        - SX
        - SY
        - SZ
        - TC
        - TD
        - TF
        - TG
        - TH
        - TJ
        - TK
        - TL
        - TM
        - TN
        - TO
        - TR
        - TT
        - TV
        - TW
        - TZ
        - UA
        - UG
        - UM
        - US
        - UY
        - UZ
        - VA
        - VC
        - VE
        - VG
        - VI
        - VN
        - VU
        - WF
        - WS
        - XK
        - XX
        - YE
        - YT
        - YU
        - ZA
        - ZM
        - ZW
      type: string
    GenderType:
      enum:
        - unknown
        - male
        - female
      type: string
    RiskStatus:
      enum:
        - unknown
        - initiated
        - low
        - high
        - moderate
        - no_support
      type: string
    UserStatus:
      enum:
        - unknown
        - active
        - inactive
        - blocked
      type: string

````